Uma área de pesquisa sobre o WordPress para devs e autores do tema



user_can_edit_post ›

Desde1.5.0
Obsoleto2.0.0
user_can_edit_post ( $user_id, $post_id, $blog_id = 1 )
Parâmetros: (3)
  • (int) $user_id
    Required: Yes
  • (int) $post_id
    Required: Yes
  • (int) $blog_id Not Used
    Required: No
    Padrão: 1
Ver:
Retorna:
  • (bool)
Definido em:
Codex:

Whether user can edit a post.



Fonte

function user_can_edit_post($user_id, $post_id, $blog_id = 1) {
	_deprecated_function( __FUNCTION__, '2.0.0', 'current_user_can()' );

	$author_data = get_userdata($user_id);
	$post = get_post($post_id);
	$post_author_data = get_userdata($post->post_author);

	if ( (($user_id == $post_author_data->ID) && !($post->post_status == 'publish' && $author_data->user_level < 2))
			|| ($author_data->user_level > $post_author_data->user_level)
			|| ($author_data->user_level >= 10) ) {
		return true;
	} else {
		return false;
	}
}